Subject: bug#12471: Avoid some signal-handling races, and simplify.

From: Paul Eggert <[email-masked]>
Date: Fri, 21 Sep 2012 10:26:59 -0700

On 09/21/2012 01:31 AM, Eli Zaretskii wrote:
>> 	#define raise(sig) kill (getpid (), sig)
> I don't want to do that.  I guess I'd special-case WINDOWSNT then, if
> we cannot do better.

If the special case is in a w32 or dos file or somewhere in the nt
directory, that's obviously fine.  I hope any such special case
doesn't clutter the mainline code, though, as it's Windows-specific.

> To me, the code looks overly complicated.

I'd also like a simpler way to do it.  But so far this
is the simplest code we've found, that avoids the bugs
in question.  And it's not *that* bad.  (Though perhaps my
standards are too high -- I've been reading the garbage
collector....)